# .air.toml
[_meta]
  "version" = "v1.49.0"

# 工作目录
root = "."
tmp_dir = "tmp"

[build]
  cmd = "go build -o ./tmp/main ./cmd/server"
  bin = "tmp/main"

  include_ext = ["go", "tpl", "tmpl", "html"]
  # 排除目录
  exclude_dir = ["assets", "tmp", "vendor", "web/static/images"]
  # 发生构建错误时，只打印日志而不退出
  stop_on_error = false
  # 日志前缀
  log = "air-build.log"
  delay = 1000 # ms

[log]
  time = true
  color = true

[misc]
  clean_on_exit = true
